{
  "schema_version": "1.4.0",
  "id": "GHSA-mvvm-47h8-xff5",
  "modified": "2025-04-12T12:45:54Z",
  "published": "2022-05-14T02:06:48Z",
  "aliases": [
    "CVE-2015-2191"
  ],
  "details": "Integer overflow in the dissect_tnef function in epan/dissectors/packet-tnef.c in the TNEF dissector in Wireshark 1.10.x before 1.10.13 and 1.12.x before 1.12.4 allows remote attackers to cause a denial of service (infinite loop) via a crafted length field in a packet.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-2191"
    },
    {
      "type": "WEB",
      "url": "https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=11023"
    },
    {
      "type": "WEB",
      "url": "https://code.wireshark.org/review/gitweb?p=wireshark.git%3Ba=commit%3Bh=608cf324b3962877e9699f3e81e8f82ac9f1ea14"
    },
    {
      "type": "WEB",
      "url": "https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=608cf324b3962877e9699f3e81e8f82ac9f1ea14"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201510-03"
    },
    {
      "type": "WEB",
      "url": "http://advisories.mageia.org/MGASA-2015-0117.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-03/msg00038.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-1460.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3210"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2015:183"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/linuxbulletinoct2015-2719645.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/72941"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1031858"
    },
    {
      "type": "WEB",
      "url": "http://www.wireshark.org/security/wnpa-sec-2015-10.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-03-08T02:59:00Z"
  }
}